import { ILayoutRestorer } from '@jupyterlab/application';
import { ICommandPalette } from '@jupyterlab/apputils';
import { IEditorServices } from '@jupyterlab/codeeditor';
import { LabIcon } from '@jupyterlab/ui-components';
// import { find } from '@lumino/algorithm';
// import editorIconSVGstr from '../style/icon/jupyter_snippeteditoricon.svg';
import codeDatesetIconSVGstr from '../style/icon/jupyter_snippeticon.svg';
// import { CodeSnippetInputDialog } from './CodeSnippetInputDialog';
import { CodeDataSetWidget } from './CodeDataSetWidget';
// import { CodeSnippetContentsService } from './CodeSnippetContentsService';
// import {
//   CodeSnippetEditor,
// } from './CodeSnippetEditor';
const CODE_SNIPPET_EXTENSION_ID = 'code-dataset-extension';
/**
 * Snippet Editor Icon
 */
// const editorIcon = new LabIcon({
//   name: 'custom-ui-compnents:codeSnippetEditorIcon',
//   svgstr: editorIconSVGstr
// });
/**
 * Snippet Icon
 */
const codeDatesetIcon = new LabIcon({
    name: 'custom-ui-compnents:codeDatesetIcon',
    svgstr: codeDatesetIconSVGstr
});
/**
 * Initialization data for the code_snippets extension.
 */
const code_snippet_extension = {
    id: CODE_SNIPPET_EXTENSION_ID,
    autoStart: true,
    requires: [ICommandPalette, ILayoutRestorer, IEditorServices],
    activate: activateCodeSnippet
};
function activateCodeSnippet(app, palette, restorer, editorServices) {
    console.log('JupyterLab extension code-snippets is activated!12345');
    const getCurrentWidget = () => {
        return app.shell.currentWidget;
    };
    const codeDatasetWidget = new CodeDataSetWidget(getCurrentWidget, app, editorServices);
    codeDatasetWidget.id = CODE_SNIPPET_EXTENSION_ID;
    codeDatasetWidget.title.icon = codeDatesetIcon;
    codeDatasetWidget.title.caption = 'Code Dataset Explorer';
    // 从snippets文件夹获取json文件
    // const contentsService = CodeSnippetContentsService.getInstance();
    // contentsService.save('snippets', { type: 'directory' });
    restorer.add(codeDatasetWidget, CODE_SNIPPET_EXTENSION_ID);
    // Rank has been chosen somewhat arbitrarily to give priority to the running
    // sessions widget in the sidebar.
    app.shell.add(codeDatasetWidget, 'left', { rank: 800 });
}
export default code_snippet_extension;
